import type { EnvironmentAllName } from '../../types/beatmap/shared/environment.js';
import type { IWrapBeatmapSubset } from '../../types/beatmap/wrapper/beatmap.js';
/**
 * Convert old Chroma color value to Chroma 2 custom data.
 * ```ts
 * const newData = convert.ogChromaToV2Chroma(oldData);
 * ```
 */
export declare function ogChromaToV2Chroma<T extends IWrapBeatmapSubset<'basicEvents', 'type' | 'value' | 'customData'>>(data: T, environment?: EnvironmentAllName): T;
//# sourceMappingURL=oldChroma.d.ts.map