import type { IWrapBeatmap } from '../../../types/beatmap/wrapper/beatmap.js';
/**
 * Convert beatmap to beatmap v3.
 * ```ts
 * const converted = toV3Beatmap(data);
 * ```
 *
 * **WARNING:** Custom data may be lost on conversion, as well as other incompatible attributes.
 */
export declare function toV3Beatmap<T extends IWrapBeatmap>(data: T, fromVersion?: number): T;
//# sourceMappingURL=beatmap.d.ts.map