import type { IWrapChain } from '../../types/beatmap/wrapper/chain.js';
import type { DeepPartial } from '../../types/utils.js';
import { BaseSlider } from './abstract/baseSlider.js';
export declare function createChain(data?: DeepPartial<IWrapChain>): IWrapChain;
/**
 * Core beatmap chain.
 */
export declare class Chain extends BaseSlider implements IWrapChain {
    static defaultValue: IWrapChain;
    static createOne(data?: Partial<IWrapChain>): Chain;
    static create(...data: Partial<IWrapChain>[]): Chain[];
    constructor(data?: Partial<IWrapChain>);
    isValid(fn?: (object: this) => boolean, override?: boolean): boolean;
    sliceCount: IWrapChain['sliceCount'];
    squish: IWrapChain['squish'];
    setSliceCount(value: this['sliceCount']): this;
    setSquish(value: this['squish']): this;
}
//# sourceMappingURL=chain.d.ts.map