import type { IWrapLightRotationEventBoxGroup } from '../../types/beatmap/wrapper/lightRotationEventBoxGroup.js';
import type { DeepPartial } from '../../types/utils.js';
import { EventBoxGroup } from './abstract/eventBoxGroup.js';
import { LightRotationEventBox } from './lightRotationEventBox.js';
export declare function createLightRotationEventBoxGroup(data?: DeepPartial<IWrapLightRotationEventBoxGroup>): IWrapLightRotationEventBoxGroup;
/**
 * Core beatmap light rotation event box group.
 */
export declare class LightRotationEventBoxGroup extends EventBoxGroup implements IWrapLightRotationEventBoxGroup {
    static defaultValue: IWrapLightRotationEventBoxGroup;
    static createOne(data?: DeepPartial<IWrapLightRotationEventBoxGroup>): LightRotationEventBoxGroup;
    static create(...data: DeepPartial<IWrapLightRotationEventBoxGroup>[]): LightRotationEventBoxGroup[];
    constructor(data?: DeepPartial<IWrapLightRotationEventBoxGroup>);
    reconcile(): this;
    boxes: LightRotationEventBox[];
}
//# sourceMappingURL=lightRotationEventBoxGroup.d.ts.map