import type { ICustomDataNote } from '../../../types/beatmap/wrapper/custom/note.js';
import type { ICustomDataSlider } from '../../../types/beatmap/wrapper/custom/slider.js';
/**
 * Mirrors the object for Noodle Extensions in beatmap v2.
 */
export declare function mirrorNoodleExtensionsV2<T extends {
    customData: Pick<ICustomDataNote, '_position' | '_flip' | '_animation'> & Pick<ICustomDataSlider, 'tailCoordinates'>;
}>(data: T): void;
/**
 * Mirrors the object for Noodle Extensions in beatmap v3.
 */
export declare function mirrorNoodleExtensionsV3<T extends {
    customData: Pick<ICustomDataNote, 'coordinates' | 'flip' | 'animation'> & Pick<ICustomDataSlider, 'tailCoordinates'>;
}>(data: T): void;
//# sourceMappingURL=mirror.d.ts.map