// deno-lint-ignore-file no-explicit-any
import { logger } from '../../logger.js';
import { loadBeatmap, tag } from './_main.js';
export function loadDifficulty(json, version, options) {
    const ver = typeof version === 'number' ? version : null;
    const opt = (typeof version !== 'number' ? version : options) ?? {};
    logger.tInfo(tag('loadDifficulty'), 'Loading difficulty from JSON');
    return loadBeatmap('difficulty', json, ver, opt);
}
