// deno-lint-ignore-file no-explicit-any
import { logger } from '../../logger.js';
import { loadBeatmap, tag } from './_main.js';
export function loadInfo(json, version, options) {
    const ver = typeof version === 'number' ? version : null;
    const opt = (typeof version !== 'number' ? version : options) ?? {};
    logger.tInfo(tag('loadInfo'), 'Loading info from JSON');
    return loadBeatmap('info', json, ver, opt);
}
