// deno-lint-ignore-file no-explicit-any
import { logger } from '../../logger.js';
import { saveBeatmap, tag } from './_main.js';
export function saveDifficulty(data, version, options) {
    const ver = typeof version === 'number' ? version : null;
    const opt = (typeof version !== 'number' ? version : options) ?? {};
    logger.tInfo(tag('saveDifficulty'), 'Saving difficulty to JSON');
    return saveBeatmap('difficulty', data, ver, opt);
}
