import { createBasicEvent } from '../../core/basicEvent.js';
/**
 * Schema serialization for v1 `Basic Event`.
 */
export const basicEvent = {
    serialize(data) {
        return {
            _time: data.time,
            _type: data.type,
            _value: data.value,
        };
    },
    deserialize(data) {
        return createBasicEvent({
            time: data._time,
            type: data._type,
            value: data._value,
            floatValue: 1,
        });
    },
};
