import { v } from '../../../../_deps.js';
import type { IInfo, IInfoDifficulty } from '../../../../types/beatmap/v1/info.js';
import type { IColor } from '../../../../types/colors.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v1 `Color`.
 */
export declare const CustomColorObjectSchema: v.ObjectSchema<InferObjectEntries<Omit<IColor, 'a'>>, undefined>;
/**
 * Schema declaration for v1 `Info Difficulty`.
 */
export declare const InfoDifficultySchema: v.ObjectSchema<InferObjectEntries<IInfoDifficulty>, undefined>;
/**
 * Schema declaration for v1 `Info`.
 */
export declare const InfoSchema: v.ObjectSchema<InferObjectEntries<IInfo>, undefined>;
//# sourceMappingURL=info.d.ts.map