import { createBasicEventTypesForKeywords } from '../../core/basicEventTypesForKeywords.js';
/**
 * Schema serialization for v2 `Basic Event Types For Keywords`.
 */
export const basicEventTypesForKeywords = {
    serialize(data) {
        return {
            _keyword: data.keyword,
            _specialEvents: data.events,
        };
    },
    deserialize(data) {
        return createBasicEventTypesForKeywords({
            keyword: data._keyword,
            events: data._specialEvents,
        });
    },
};
