import { v } from '../../../../../_deps.js';
import { Vector3ColorSchema, Vector4ColorSchema } from '../../../shared/declaration/vector.js';
/** Schema declaration for v2 custom `Bookmark`. */
export const CustomBookmarkSchema = v.object({
    _time: v.number(),
    _name: v.string(),
    _color: v.optional(v.union([Vector3ColorSchema, Vector4ColorSchema])),
});
