import { v } from '../../../../../_deps.js';
/** Schema declaration for v2 custom `Editor Info`. */
export const CustomEditorInfoSchema = v.looseObject({
    version: v.optional(v.string()),
});
/** Schema declaration for v2 custom `Editor`. */
export const CustomEditorSchema = v.objectWithRest({
    _lastEditedBy: v.optional(v.string()),
}, v.record(v.string(), v.union([CustomEditorInfoSchema, v.string(), v.undefined()])));
