import { v } from '../../../../_deps.js';
import type { IArc, IDifficulty, IEvent, INote, IObstacle, ISpecialEventsKeywordFilters, ISpecialEventsKeywordFiltersKeywords, IWaypoint } from '../../../../types/beatmap/v2/mod.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v2 `Note`.
 */
export declare const NoteSchema: v.ObjectSchema<InferObjectEntries<INote>, undefined>;
/**
 * Schema declaration for v2 `Arc`.
 */
export declare const ArcSchema: v.ObjectSchema<InferObjectEntries<IArc>, undefined>;
/**
 * Schema declaration for v2 `Obstacle`.
 */
export declare const ObstacleSchema: v.ObjectSchema<InferObjectEntries<IObstacle>, undefined>;
/**
 * Schema declaration for v2 `Event`.
 */
export declare const EventSchema: v.ObjectSchema<InferObjectEntries<IEvent>, undefined>;
/**
 * Schema declaration for v2 `Waypoint`.
 */
export declare const WaypointSchema: v.ObjectSchema<InferObjectEntries<IWaypoint>, undefined>;
/**
 * Schema declaration for v2 `Special Events Keyword Filters Keywords`.
 */
export declare const SpecialEventsKeywordFiltersKeywordsSchema: v.ObjectSchema<InferObjectEntries<ISpecialEventsKeywordFiltersKeywords>, undefined>;
/**
 * Schema declaration for v2 `Special Events Keyword Filters`.
 */
export declare const SpecialEventsKeywordFiltersSchema: v.ObjectSchema<InferObjectEntries<ISpecialEventsKeywordFilters>, undefined>;
/**
 * Schema declaration for v2 `Difficulty`.
 */
export declare const DifficultySchema: v.ObjectSchema<InferObjectEntries<IDifficulty>, undefined>;
//# sourceMappingURL=difficulty.d.ts.map