import { v } from '../../../../../_deps.js';
import { CustomBookmarkSchema } from './bookmark.js';
import { CustomBPMChangeSchema } from './bpmChange.js';
/** Schema declaration for v3 `Difficulty` custom data. */
export const CustomDataDifficultySchema = v.looseObject({
    time: v.optional(v.number()),
    bookmarks: v.optional(v.array(CustomBookmarkSchema)),
    BPMChanges: v.optional(v.array(CustomBPMChangeSchema)),
});
