import { v } from '../../../../_deps.js';
import type { IObject, IObjectArc, IObjectChain, IObjectLane } from '../../../../types/beatmap/v4/object.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v4 `Object`.
 */
export declare const ObjectSchema: v.ObjectSchema<InferObjectEntries<IObject>, undefined>;
/**
 * Schema declaration for v4 `Object Lane`.
 */
export declare const ObjectLaneSchema: v.ObjectSchema<InferObjectEntries<IObjectLane>, undefined>;
/**
 * Schema declaration for v4 `Object Chain`.
 */
export declare const ObjectChainSchema: v.ObjectSchema<InferObjectEntries<IObjectChain>, undefined>;
/**
 * Schema declaration for v4 `Object Arc`.
 */
export declare const ObjectArcSchema: v.ObjectSchema<InferObjectEntries<IObjectArc>, undefined>;
//# sourceMappingURL=common.d.ts.map