import type { ICloneable } from '../../types/beatmap/shared/cloneable.js';
/**
 * Abstract class to clone class object.
 *
 * Must contain constructor parameter that reference itself.
 * Otherwise override the clone method.
 */
export declare abstract class Cloneable implements ICloneable {
    clone<U extends this>(): U;
}
//# sourceMappingURL=cloneable.d.ts.map