import type { Vector3 } from '../../../../types/vector.js';
import type { IChromaEnvironment } from '../../../../types/beatmap/v3/custom/chroma.js';
import type { IChromaEnvironmentPlacement } from '../types/environment.js';
/** **IMPORTANT:** Manually adjust block to be exactly 1x1x1 unity unit (1x1x1 scale does usually not work) */
export declare class EnvironmentBlock {
    data: IChromaEnvironment;
    anchor: Vector3;
    static startLightID: number;
    static index: number;
    protected constructor(data: IChromaEnvironment, anchor: Vector3);
    static create(data: IChromaEnvironment, anchor: Vector3): EnvironmentBlock;
    place(options: IChromaEnvironmentPlacement, insertTo?: never): IChromaEnvironment;
    place(options: IChromaEnvironmentPlacement, insertTo: IChromaEnvironment[]): void;
}
//# sourceMappingURL=block.d.ts.map