import { random } from '../../../../utils/math/random.js';
/**
 * Apply random flip to notes.
 * ```ts
 * ne.randomFlip(notes, [[-4, 4], [0, 2]]);
 * ```
 */
export function randomFlip(notes, range) {
    const [xVec, yVec] = range.map((r) => r.sort((a, b) => a - b));
    notes.forEach((n) => {
        n.customData.flip = [random(xVec[0], xVec[1]), random(yVec[0], yVec[1])];
    });
}
