import type { INEObject } from './types/object.js';
/**
 * Add track(s) to object(s).
 */
export declare function addTrack<T extends {
    customData?: INEObject['customData'];
}>(objects: T[], track: string | string[] | undefined): T[];
export declare function addTrack<T extends {
    customData?: INEObject['customData'];
}>(object: T, track: string | string[] | undefined): T;
/**
 * Remove track(s) from object(s).
 */
export declare function removeTrack<T extends {
    customData?: INEObject['customData'];
}>(objects: T[], track: string | string[] | undefined): T[];
export declare function removeTrack<T extends {
    customData?: INEObject['customData'];
}>(object: T, track: string | string[] | undefined): T;
//# sourceMappingURL=track.d.ts.map