/**
 * Get maximum effective bpm.
 */
export function getMaxEffectiveBpm(swings) {
    return Math.max(...swings.map((s) => s.ebpm), 0);
}
/**
 * Get maximum effective bpm swing.
 */
export function getMaxEffectiveBpmSwing(swings) {
    return Math.max(...swings.map((s) => s.ebpmSwing), 0);
}
