// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleRead, handleReadSync, tag } from './_main.js';
export function readAudioDataFile(path, version, options) {
    logger.tInfo(tag('readAudioDataFile'), 'Async reading audio data file');
    return handleRead('audioData', path, version, options);
}
export function readAudioDataFileSync(path, version, options) {
    logger.tInfo(tag('readAudioDataFileSync'), 'Sync reading audio data file');
    return handleReadSync('audioData', path, version, options);
}
