// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleRead, handleReadSync, tag } from './_main.js';
export function readInfoFile(path = 'Info.dat', version, options) {
    logger.tInfo(tag('readInfoFile'), 'Async reading info file');
    return handleRead('info', path, version, options);
}
export function readInfoFileSync(path = 'Info.dat', version, options) {
    logger.tInfo(tag('readInfoFileSync'), 'Sync reading info file');
    return handleReadSync('info', path, version, options);
}
