import type { Member } from '../../utils.js';
/** List of available v2 environment in base game. */
export declare const EnvironmentName: readonly ["DefaultEnvironment", "OriginsEnvironment", "TriangleEnvironment", "NiceEnvironment", "BigMirrorEnvironment", "DragonsEnvironment", "KDAEnvironment", "MonstercatEnvironment", "CrabRaveEnvironment", "PanicEnvironment", "RocketEnvironment", "GreenDayEnvironment", "GreenDayGrenadeEnvironment", "TimbalandEnvironment", "FitBeatEnvironment", "LinkinParkEnvironment", "BTSEnvironment", "KaleidoscopeEnvironment", "InterscopeEnvironment", "SkrillexEnvironment", "BillieEnvironment", "HalloweenEnvironment", "GagaEnvironment"];
export type EnvironmentName = Member<typeof EnvironmentName>;
/** List of available v3 environment in base game. */
export declare const EnvironmentV3Name: readonly ["WeaveEnvironment", "PyroEnvironment", "EDMEnvironment", "TheSecondEnvironment", "LizzoEnvironment", "TheWeekndEnvironment", "RockMixtapeEnvironment", "Dragons2Environment", "Panic2Environment", "QueenEnvironment", "LinkinPark2Environment", "TheRollingStonesEnvironment", "LatticeEnvironment", "DaftPunkEnvironment", "HipHopEnvironment", "ColliderEnvironment", "BritneyEnvironment", "Monstercat2Environment", "MetallicaEnvironment"];
export type EnvironmentV3Name = Member<typeof EnvironmentV3Name>;
/** List of available 360 environment in base game. */
export declare const Environment360Name: readonly ["GlassDesertEnvironment", "MultiplayerEnvironment"];
export type Environment360Name = Member<typeof Environment360Name>;
/** List of all available environment in base game. */
export declare const EnvironmentAllName: readonly ["DefaultEnvironment", "OriginsEnvironment", "TriangleEnvironment", "NiceEnvironment", "BigMirrorEnvironment", "DragonsEnvironment", "KDAEnvironment", "MonstercatEnvironment", "CrabRaveEnvironment", "PanicEnvironment", "RocketEnvironment", "GreenDayEnvironment", "GreenDayGrenadeEnvironment", "TimbalandEnvironment", "FitBeatEnvironment", "LinkinParkEnvironment", "BTSEnvironment", "KaleidoscopeEnvironment", "InterscopeEnvironment", "SkrillexEnvironment", "BillieEnvironment", "HalloweenEnvironment", "GagaEnvironment", "WeaveEnvironment", "PyroEnvironment", "EDMEnvironment", "TheSecondEnvironment", "LizzoEnvironment", "TheWeekndEnvironment", "RockMixtapeEnvironment", "Dragons2Environment", "Panic2Environment", "QueenEnvironment", "LinkinPark2Environment", "TheRollingStonesEnvironment", "LatticeEnvironment", "DaftPunkEnvironment", "HipHopEnvironment", "ColliderEnvironment", "BritneyEnvironment", "Monstercat2Environment", "MetallicaEnvironment", "GlassDesertEnvironment", "MultiplayerEnvironment"];
export type EnvironmentAllName = Member<typeof EnvironmentAllName>;
//# sourceMappingURL=environment.d.ts.map