import type { LooseAutocomplete, Nullable } from '../../../utils.js';
import type { AssetBundleTarget } from '../../shared/custom/vivify.js';
export interface IVivifyCustomDataInfo {
    _assetBundle?: Nullable<Record<LooseAutocomplete<AssetBundleTarget>, number>>;
    _anisotropicFiltering?: 0 | 1 | 2;
    _antiAliasing?: 0 | 2 | 4 | 8;
    _pixelLightCount?: number;
    _realtimeReflectionProbes?: boolean;
    _shadowCascades?: 0 | 2 | 4;
    _shadowDistance?: number;
    _shadowmaskMode?: 0 | 1;
    _shadowNearPlaneOffset?: number;
    _shadowProjection?: 0 | 1;
    _shadowResolution?: 0 | 1 | 2 | 3;
    _shadows?: 0 | 1 | 2;
    _softParticles?: boolean;
}
//# sourceMappingURL=vivify.d.ts.map