import type { IWrapBPMEvent } from './bpmEvent.js';
import type { IWrapRotationEvent } from './rotationEvent.js';
import type { IWrapColorNote } from './colorNote.js';
import type { IWrapBombNote } from './bombNote.js';
import type { IWrapObstacle } from './obstacle.js';
import type { IWrapArc } from './arc.js';
import type { IWrapChain } from './chain.js';
import type { ICustomDataDifficulty } from './custom/difficulty.js';
import type { IWrapBaseItem } from './baseItem.js';
import type { IWrapNJSEvent } from './njsEvent.js';
/**
 * Wrapper attribute for beatmap difficulty.
 */
export interface IWrapDifficulty extends IWrapBaseItem {
    bpmEvents: IWrapBPMEvent[];
    rotationEvents: IWrapRotationEvent[];
    colorNotes: IWrapColorNote[];
    bombNotes: IWrapBombNote[];
    obstacles: IWrapObstacle[];
    arcs: IWrapArc[];
    chains: IWrapChain[];
    njsEvents: IWrapNJSEvent[];
    customData: ICustomDataDifficulty;
}
//# sourceMappingURL=difficulty.d.ts.map