import type { ISaveOptions } from '../beatmap/options/saver.js';
import type { InferBeatmapVersion } from '../beatmap/shared/infer.js';
import type { BeatmapFileType } from '../mod.js';
import type { IBaseOptions } from './_common.js';
export interface IWriteOptions<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = Record<string, any>, TSerial extends Record<string, any> = Record<string, any>> extends IBaseOptions {
    filename?: string;
    /**
     * Prettify format JSON.
     *
     * @default 0
     */
    format?: number;
    save?: ISaveOptions<TFileType, TVersion, TWrapper, TSerial>;
}
//# sourceMappingURL=writer.d.ts.map