/**
 * Return number in formatted number string.
 *
 * ```ts
 * console.log(formatNumber(12345678)); // 12,345,678
 * ```
 */
export declare function formatNumber(num: number): string;
/** Check if string is valid hexadecimal. */
export declare function isHex(hex: string): boolean;
/** Convert hexadecimal to decimal. */
export declare function hexToDec(hex: string): number;
/** Convert decimal to hexadecimal.*/
export declare function decToHex(val: number): string;
/** Bitmask boolean helper. */
export declare function hasFlag(val: number, flag: number): boolean;
//# sourceMappingURL=helpers.d.ts.map