// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleWrite, handleWriteSync, tag } from './_main.js';
export function writeDifficultyFile(data, version, options) {
    logger.tInfo(tag('writeDifficultyFile'), 'Async writing difficulty file');
    return handleWrite('difficulty', data, version, options);
}
export function writeDifficultyFileSync(data, version, options) {
    logger.tInfo(tag('writeDifficultyFileSync'), 'Sync writing difficulty file');
    return handleWriteSync('difficulty', data, version, options);
}
