// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleWrite, handleWriteSync, tag } from './_main.js';
export function writeInfoFile(data, version, options) {
    logger.tInfo(tag('writeInfoFile'), 'Async writing info file');
    return handleWrite('info', data, version, options);
}
export function writeInfoFileSync(data, version, options) {
    logger.tInfo(tag('writeInfoFileSync'), 'Sync writing info file');
    return handleWriteSync('info', data, version, options);
}
