// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleWrite, handleWriteSync, tag } from './_main.js';
export function writeLightshowFile(data, version, options) {
    logger.tInfo(tag('writeLightshowFile'), 'Async writing lightshow file');
    return handleWrite('lightshow', data, version, options);
}
export function writeLightshowFileSync(data, version, options) {
    logger.tInfo(tag('writeLightshowFileSync'), 'Sync writing lightshow file');
    return handleWriteSync('lightshow', data, version, options);
}
