"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const _helpers_js_1 = require("./_helpers.js");
const json_js_1 = require("../../../utils/misc/json.js");
function default_1(customData) {
    if (!customData) {
        return {};
    }
    const cd = { ...customData };
    if ((0, json_js_1.isEmpty)(cd)) {
        return {};
    }
    (0, _helpers_js_1.renameKey)(cd, 'color', '_color');
    (0, _helpers_js_1.renameKey)(cd, 'lightID', '_lightID');
    (0, _helpers_js_1.renameKey)(cd, 'easing', '_easing');
    (0, _helpers_js_1.renameKey)(cd, 'lerpType', '_lerpType');
    (0, _helpers_js_1.renameKey)(cd, 'nameFilter', '_nameFilter');
    (0, _helpers_js_1.renameKey)(cd, 'rotation', '_rotation');
    (0, _helpers_js_1.renameKey)(cd, 'step', '_step');
    (0, _helpers_js_1.renameKey)(cd, 'prop', '_prop');
    (0, _helpers_js_1.renameKey)(cd, 'speed', '_speed');
    (0, _helpers_js_1.renameKey)(cd, 'direction', '_direction');
    (0, _helpers_js_1.renameKey)(cd, 'lockRotation', '_lockPosition');
    return cd;
}
