"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseObject = void 0;
const baseItem_js_1 = require("./baseItem.js");
/**
 * Basic building block of beatmap object.
 *
 * Object may exist in a beatmap as a physical object or as an event.
 *
 * @abstract
 */
class BaseObject extends baseItem_js_1.BaseItem {
    constructor() {
        super(...arguments);
        Object.defineProperty(this, "time", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 0
        });
    }
    setTime(value) {
        this.time = value;
        return this;
    }
}
exports.BaseObject = BaseObject;
