"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventBoxGroup = void 0;
const baseObject_js_1 = require("./baseObject.js");
/**
 * Base event box group beatmap object.
 *
 * @abstract
 */
class EventBoxGroup extends baseObject_js_1.BaseObject {
    constructor() {
        super(...arguments);
        Object.defineProperty(this, "id", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: 0
        });
    }
    isValid(fn, override) {
        return override
            ? super.isValid(fn, override)
            : super.isValid(fn, override) && this.id >= 0 && this.boxes.every((e) => e.isValid());
    }
}
exports.EventBoxGroup = EventBoxGroup;
