import type { IWrapBombNote } from '../../types/beatmap/wrapper/bombNote.js';
import type { DeepPartial } from '../../types/utils.js';
import { BaseNote } from './abstract/baseNote.js';
export declare function createBombNote(data?: DeepPartial<IWrapBombNote>): IWrapBombNote;
/**
 * Core beatmap bomb note.
 */
export declare class BombNote extends BaseNote implements IWrapBombNote {
    static defaultValue: IWrapBombNote;
    static createOne(data?: Partial<IWrapBombNote>): BombNote;
    static create(...data: Partial<IWrapBombNote>[]): BombNote[];
    constructor(data?: Partial<IWrapBombNote>);
    isValid(fn?: (object: this) => boolean, override?: boolean): boolean;
}
//# sourceMappingURL=bombNote.d.ts.map