import type { IWrapBPMEvent } from '../../types/beatmap/wrapper/bpmEvent.js';
import type { DeepPartial } from '../../types/utils.js';
import { BaseObject } from './abstract/baseObject.js';
export declare function createBPMEvent(data?: DeepPartial<IWrapBPMEvent>): IWrapBPMEvent;
/**
 * Core beatmap BPM event.
 */
export declare class BPMEvent extends BaseObject implements IWrapBPMEvent {
    static defaultValue: IWrapBPMEvent;
    static createOne(data?: Partial<IWrapBPMEvent>): BPMEvent;
    static create(...data: Partial<IWrapBPMEvent>[]): BPMEvent[];
    constructor(data?: Partial<IWrapBPMEvent>);
    isValid(fn?: (object: this) => boolean, override?: boolean): boolean;
    bpm: IWrapBPMEvent['bpm'];
    setBPM(value: this['bpm']): this;
}
//# sourceMappingURL=bpmEvent.d.ts.map