import type { IWrapFxEventBoxGroup } from '../../types/beatmap/wrapper/fxEventBoxGroup.js';
import type { DeepPartial } from '../../types/utils.js';
import { EventBoxGroup } from './abstract/eventBoxGroup.js';
import { FxEventBox } from './fxEventBox.js';
export declare function createFxEventBoxGroup(data?: DeepPartial<IWrapFxEventBoxGroup>): IWrapFxEventBoxGroup;
/**
 * Core beatmap FX event box group.
 */
export declare class FxEventBoxGroup extends EventBoxGroup implements IWrapFxEventBoxGroup {
    static defaultValue: IWrapFxEventBoxGroup;
    static createOne(data?: DeepPartial<IWrapFxEventBoxGroup>): FxEventBoxGroup;
    static create(...data: DeepPartial<IWrapFxEventBoxGroup>[]): FxEventBoxGroup[];
    constructor(data?: DeepPartial<IWrapFxEventBoxGroup>);
    reconcile(): this;
    boxes: FxEventBox[];
}
//# sourceMappingURL=fxEventBoxGroup.d.ts.map