import type { IWrapLightTranslationEventBoxGroup } from '../../types/beatmap/wrapper/lightTranslationEventBoxGroup.js';
import type { DeepPartial } from '../../types/utils.js';
import { EventBoxGroup } from './abstract/eventBoxGroup.js';
import { LightTranslationEventBox } from './lightTranslationEventBox.js';
export declare function createLightTranslationEventBoxGroup(data?: DeepPartial<IWrapLightTranslationEventBoxGroup>): IWrapLightTranslationEventBoxGroup;
/**
 * Core beatmap light translation event box group.
 */
export declare class LightTranslationEventBoxGroup extends EventBoxGroup implements IWrapLightTranslationEventBoxGroup {
    static defaultValue: IWrapLightTranslationEventBoxGroup;
    static createOne(data?: DeepPartial<IWrapLightTranslationEventBoxGroup>): LightTranslationEventBoxGroup;
    static create(...data: DeepPartial<IWrapLightTranslationEventBoxGroup>[]): LightTranslationEventBoxGroup[];
    constructor(data?: DeepPartial<IWrapLightTranslationEventBoxGroup>);
    reconcile(): this;
    boxes: LightTranslationEventBox[];
}
//# sourceMappingURL=lightTranslationEventBoxGroup.d.ts.map