"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reconcileClassObject = reconcileClassObject;
function reconcileClassObject(data, objectClass) {
    if (Array.isArray(data)) {
        for (let i = 0; i < data.length; i++) {
            data[i] = data[i] instanceof objectClass
                ? data[i].reconcile()
                : new objectClass(data[i]);
        }
        return data;
    }
    return (data instanceof objectClass ? data.reconcile() : new objectClass(data));
}
