"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.is360Environment = is360Environment;
exports.isV3Environment = isV3Environment;
/** Check if environment is 360 environment. */
function is360Environment(environment) {
    return (environment === 'GlassDesertEnvironment' ||
        environment === 'MultiplayerEnvironment');
}
/** Check if environment is v3 environment. */
function isV3Environment(environment) {
    return (environment === 'WeaveEnvironment' ||
        environment === 'PyroEnvironment' ||
        environment === 'EDMEnvironment' ||
        environment === 'TheSecondEnvironment' ||
        environment === 'LizzoEnvironment' ||
        environment === 'TheWeekndEnvironment' ||
        environment === 'RockMixtapeEnvironment' ||
        environment === 'Dragons2Environment' ||
        environment === 'Panic2Environment' ||
        environment === 'QueenEnvironment' ||
        environment === 'LinkinPark2Environment' ||
        environment === 'TheRollingStonesEnvironment' ||
        environment === 'LatticeEnvironment' ||
        environment === 'DaftPunkEnvironment' ||
        environment === 'HipHopEnvironment' ||
        environment === 'ColliderEnvironment');
}
