"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNoodleExtensionsAngleV2 = getNoodleExtensionsAngleV2;
/**
 * Get direction angle of Noodle Extensions in beatmap v2.
 */
function getNoodleExtensionsAngleV2(data) {
    if (data.customData._cutDirection) {
        return data.customData._cutDirection > 0
            ? data.customData._cutDirection % 360
            : 360 + (data.customData._cutDirection % 360);
    }
    return null;
}
