import type { ILoadOptions } from '../../types/beatmap/options/loader.js';
import type { InferBeatmap, InferBeatmapSerial, InferBeatmapVersion } from '../../types/beatmap/shared/infer.js';
import type { BeatmapFileType } from '../../types/beatmap/shared/schema.js';
export declare function tag(name: string): string[];
export declare function loadBeatmap<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, json: TSerial, version?: TVersion | null, options?: ILoadOptions<TFileType, TVersion, TWrapper, TSerial>): TWrapper;
//# sourceMappingURL=_main.d.ts.map