"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadInfo = loadInfo;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../../logger.js");
const _main_js_1 = require("./_main.js");
function loadInfo(json, version, options) {
    const ver = typeof version === 'number' ? version : null;
    const opt = (typeof version !== 'number' ? version : options) ?? {};
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('loadInfo'), 'Loading info from JSON');
    return (0, _main_js_1.loadBeatmap)('info', json, ver, opt);
}
