/**
 * Contains mapping of function to specific version; used to handle version specific data.
 *
 * While the user may modify these with their own implementation, even upcoming or arbitrary versions,
 * it is not recommended as it may introduce breaking changes, incompatible data, etc.
 *
 * Unless you know what you are doing, feel free.
 *
 * @module
 */
import "../../_dnt.polyfills.js";
export * from './compatibility.js';
export * from './converter.js';
export * from './optimizer.js';
export * from './schema.js';
export * from './validator.js';
//# sourceMappingURL=mod.d.ts.map