"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lightshowCheckMap = exports.difficultyCheckMap = exports.audioSchemaMap = exports.infoCheckMap = void 0;
const mod_js_1 = require("../schema/v1/declaration/mod.js");
const mod_js_2 = require("../schema/v2/declaration/mod.js");
const mod_js_3 = require("../schema/v3/declaration/mod.js");
const mod_js_4 = require("../schema/v4/declaration/mod.js");
/** Data check version map for schema beatmap info. */
exports.infoCheckMap = {
    1: mod_js_1.InfoSchema,
    2: mod_js_2.InfoSchema,
    4: mod_js_4.InfoSchema,
};
/** Data check version map for schema beatmap audio data. */
exports.audioSchemaMap = {
    2: mod_js_2.BPMInfoSchema,
    4: mod_js_4.AudioDataSchema,
};
/** Data check version map for schema beatmap difficulty. */
exports.difficultyCheckMap = {
    1: mod_js_1.DifficultySchema,
    2: mod_js_2.DifficultySchema,
    3: mod_js_3.DifficultySchema,
    4: mod_js_4.DifficultySchema,
};
/** Data check version map for schema beatmap lightshow. */
exports.lightshowCheckMap = {
    3: mod_js_3.LightshowSchema,
    4: mod_js_4.LightshowSchema,
};
