"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.basicEvent = void 0;
const basicEvent_js_1 = require("../../core/basicEvent.js");
/**
 * Schema serialization for v1 `Basic Event`.
 */
exports.basicEvent = {
    serialize(data) {
        return {
            _time: data.time,
            _type: data.type,
            _value: data.value,
        };
    },
    deserialize(data) {
        return (0, basicEvent_js_1.createBasicEvent)({
            time: data._time,
            type: data._type,
            value: data._value,
            floatValue: 1,
        });
    },
};
