"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bpmEvent = void 0;
const bpmEvent_js_1 = require("../../core/bpmEvent.js");
/**
 * Schema serialization for v1 `BPM Event`.
 */
exports.bpmEvent = {
    serialize(data) {
        return {
            _time: data.time,
            _type: 100,
            _value: Math.round(data.bpm),
        };
    },
    deserialize(data) {
        return (0, bpmEvent_js_1.createBPMEvent)({
            time: data._time,
            bpm: data._value,
        });
    },
};
