import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IInfo } from '../../../types/beatmap/v1/info.js';
import type { IWrapInfo } from '../../../types/beatmap/wrapper/info.js';
type InfoDeserializationPolyfills = Pick<IWrapInfo, 'filename'> & {
    audio: Pick<IWrapInfo['audio'], 'filename' | 'audioDataFilename' | 'lufs' | 'duration' | 'audioOffset' | 'shuffle' | 'shufflePeriod'>;
};
/**
 * Schema serialization for v1 `Info`.
 */
export declare const info: ISchemaContainer<IWrapInfo, IInfo, Record<string, any>, InfoDeserializationPolyfills>;
export {};
//# sourceMappingURL=info.d.ts.map