import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IInfoDifficulty } from '../../../types/beatmap/v1/info.js';
import type { IWrapInfo, IWrapInfoBeatmap } from '../../../types/beatmap/wrapper/info.js';
type InfoBeatmapSerializationPolyfills = {
    audio: Pick<IWrapInfo['audio'], 'filename'>;
};
type InfoBeatmapDeserializationPolyfills = Pick<IWrapInfoBeatmap, 'characteristic' | 'njs' | 'njsOffset' | 'lightshowFilename' | 'authors'>;
/**
 * Schema serialization for v1 `Info Beatmap`.
 */
export declare const infoBeatmap: ISchemaContainer<IWrapInfoBeatmap, IInfoDifficulty, InfoBeatmapSerializationPolyfills, InfoBeatmapDeserializationPolyfills>;
export {};
//# sourceMappingURL=infoBeatmap.d.ts.map