"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.basicEventTypesForKeywords = void 0;
const basicEventTypesForKeywords_js_1 = require("../../core/basicEventTypesForKeywords.js");
/**
 * Schema serialization for v2 `Basic Event Types For Keywords`.
 */
exports.basicEventTypesForKeywords = {
    serialize(data) {
        return {
            _keyword: data.keyword,
            _specialEvents: data.events,
        };
    },
    deserialize(data) {
        return (0, basicEventTypesForKeywords_js_1.createBasicEventTypesForKeywords)({
            keyword: data._keyword,
            events: data._specialEvents,
        });
    },
};
