"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomBookmarkSchema = void 0;
const _deps_js_1 = require("../../../../../_deps.js");
const vector_js_1 = require("../../../shared/declaration/vector.js");
/** Schema declaration for v2 custom `Bookmark`. */
exports.CustomBookmarkSchema = _deps_js_1.v.object({
    _time: _deps_js_1.v.number(),
    _name: _deps_js_1.v.string(),
    _color: _deps_js_1.v.optional(_deps_js_1.v.union([vector_js_1.Vector3ColorSchema, vector_js_1.Vector4ColorSchema])),
});
