"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomDataDifficultySchema = void 0;
const _deps_js_1 = require("../../../../../_deps.js");
const bookmark_js_1 = require("./bookmark.js");
const bpmChange_js_1 = require("./bpmChange.js");
/** Schema declaration for v2 `Difficulty` custom data. */
exports.CustomDataDifficultySchema = _deps_js_1.v.looseObject({
    _time: _deps_js_1.v.optional(_deps_js_1.v.number()),
    _bookmarks: _deps_js_1.v.optional(_deps_js_1.v.array(bookmark_js_1.CustomBookmarkSchema)),
    _bpmChanges: _deps_js_1.v.optional(_deps_js_1.v.array(bpmChange_js_1.CustomBPMChangeOldSchema)),
    _BPMChanges: _deps_js_1.v.optional(_deps_js_1.v.array(bpmChange_js_1.CustomBPMChangeSchema)),
});
