"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomEditorSchema = exports.CustomEditorInfoSchema = void 0;
const _deps_js_1 = require("../../../../../_deps.js");
/** Schema declaration for v2 custom `Editor Info`. */
exports.CustomEditorInfoSchema = _deps_js_1.v.looseObject({
    version: _deps_js_1.v.optional(_deps_js_1.v.string()),
});
/** Schema declaration for v2 custom `Editor`. */
exports.CustomEditorSchema = _deps_js_1.v.objectWithRest({
    _lastEditedBy: _deps_js_1.v.optional(_deps_js_1.v.string()),
}, _deps_js_1.v.record(_deps_js_1.v.string(), _deps_js_1.v.union([exports.CustomEditorInfoSchema, _deps_js_1.v.string(), _deps_js_1.v.undefined()])));
