import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IInfo } from '../../../types/beatmap/v2/info.js';
import type { IWrapInfo } from '../../../types/beatmap/wrapper/info.js';
type InfoDeserializationPolyfills = Pick<IWrapInfo, 'filename'> & {
    audio: Pick<IWrapInfo['audio'], 'audioDataFilename' | 'lufs' | 'duration'>;
};
/**
 * Schema serialization for v2 `Info`.
 */
export declare const info: ISchemaContainer<IWrapInfo, IInfo, Record<string, any>, InfoDeserializationPolyfills>;
export {};
//# sourceMappingURL=info.d.ts.map