"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bombNote = void 0;
const json_js_1 = require("../../../utils/misc/json.js");
const bombNote_js_1 = require("../../core/bombNote.js");
/**
 * Schema serialization for v3 `Bomb Note`.
 */
exports.bombNote = {
    serialize(data) {
        return {
            b: data.time,
            x: data.posX,
            y: data.posY,
            customData: (0, json_js_1.deepCopy)(data.customData),
        };
    },
    deserialize(data) {
        return (0, bombNote_js_1.createBombNote)({
            time: data.b,
            posX: data.x,
            posY: data.y,
            customData: data.customData,
        });
    },
};
