import { v } from '../../../../_deps.js';
import type { IAudio, IAudioBPM, IAudioLUFS } from '../../../../types/beatmap/v4/audioData.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v4 `Audio Data BPM`.
 */
export declare const AudioDataBPMSchema: v.ObjectSchema<InferObjectEntries<IAudioBPM>, undefined>;
/**
 * Schema declaration for v4 `Audio Data LUFS`.
 */
export declare const AudioDataLUFSSchema: v.ObjectSchema<InferObjectEntries<IAudioLUFS>, undefined>;
/**
 * Schema declaration for v4 `Audio`.
 */
export declare const AudioDataSchema: v.ObjectSchema<InferObjectEntries<IAudio>, undefined>;
//# sourceMappingURL=audioData.d.ts.map