"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharacteristicOrder = exports.CharacteristicRename = void 0;
/** Rename characteristic to human readable. */
exports.CharacteristicRename = {
    Standard: 'Standard',
    NoArrows: 'No Arrows',
    OneSaber: 'One Saber',
    Legacy: 'Legacy',
    '360Degree': '360 Degree',
    '90Degree': '90 Degree',
    Lightshow: 'Lightshow',
    Lawless: 'Lawless',
};
/** Standard characteristic ordering. */
// enum would make sense but typescript enum is cringe and has no type
exports.CharacteristicOrder = {
    Standard: 0,
    NoArrows: 1,
    OneSaber: 2,
    Legacy: 3,
    '360Degree': 4,
    '90Degree': 5,
    Lightshow: 6,
    Lawless: 7,
};
