import type { BeatmapFileType } from '../../types/beatmap/shared/schema.js';
import type { ICompatibilityOptions } from '../../types/beatmap/options/compatibility.js';
/**
 * Check if the beatmap is compatible with the version schema.
 */
export declare function compatibilityCheck<T extends Record<string, any> = Record<string, any>>(type: BeatmapFileType, data: T, version: number, options?: Partial<ICompatibilityOptions>): T;
//# sourceMappingURL=compatibility.d.ts.map