import type { INENote, INEObject } from './types/object.js';
/**
 * Set uninteractible to object from start to end object.
 *
 * This is highly-recommended for any non-interactive object to improve performance.
 */
export declare function setUninteractible<T extends Pick<INEObject, 'customData'>>(objects: T[], bool: boolean): void;
/** Enable gravity for note from start to end. */
export declare function setNoteGravity<T extends Pick<INENote, 'customData'>>(objects: T[], bool: boolean): void;
/** Enable look for note from start to end. */
export declare function setNoteLook<T extends Pick<INENote, 'customData'>>(objects: T[], bool: boolean): void;
//# sourceMappingURL=misc.d.ts.map