import type { EnvironmentAllName } from '../../types/beatmap/shared/environment.js';
import type { IWrapBasicEvent } from '../../types/beatmap/wrapper/basicEvent.js';
import type { IWrapColorBoostEvent } from '../../types/beatmap/wrapper/colorBoostEvent.js';
import type { ICountEvent } from './types/stats.js';
/**
 * Count number of type of events with their properties in given array and return a event count object.
 * ```ts
 * const list = count(events);
 * console.log(list);
 * ```
 */
export declare function countEvent<TBasicEvent extends IWrapBasicEvent, TColorBoostEvent extends IWrapColorBoostEvent>(events: TBasicEvent[], boost: TColorBoostEvent[], environment?: EnvironmentAllName, version?: number): ICountEvent;
//# sourceMappingURL=event.d.ts.map