import type { EnvironmentAllName } from '../../types/beatmap/shared/environment.js';
import type { IWrapEventBoxGroup } from '../../types/beatmap/wrapper/eventBoxGroup.js';
import type { ICountEventBoxGroup } from './types/stats.js';
/**
 * Count number of type of events with their properties in given array and return a event count object.
 * ```ts
 * const list = count(events);
 * console.log(list);
 * ```
 */
export declare function countEbg<T extends IWrapEventBoxGroup>(ebg: T[], environment?: EnvironmentAllName): ICountEventBoxGroup;
//# sourceMappingURL=groupEvent.d.ts.map