import type { InferBeatmap, InferBeatmapSerial, InferBeatmapVersion } from '../types/beatmap/shared/infer.js';
import type { BeatmapFileType } from '../types/beatmap/shared/schema.js';
import type { IReadOptions } from '../types/bsmap/reader.js';
export declare function tag(name: string): string[];
export declare function handleRead<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, src: string, version?: TVersion | null | IReadOptions<TFileType, TVersion, TWrapper, TSerial>, options?: IReadOptions<TFileType, TVersion, TWrapper, TSerial>): Promise<TWrapper>;
export declare function handleReadSync<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, src: string, version?: TVersion | null | IReadOptions<TFileType, TVersion, TWrapper, TSerial>, options?: IReadOptions<TFileType, TVersion, TWrapper, TSerial>): TWrapper;
//# sourceMappingURL=_main.d.ts.map