"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readAudioDataFile = readAudioDataFile;
exports.readAudioDataFileSync = readAudioDataFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function readAudioDataFile(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readAudioDataFile'), 'Async reading audio data file');
    return (0, _main_js_1.handleRead)('audioData', path, version, options);
}
function readAudioDataFileSync(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readAudioDataFileSync'), 'Sync reading audio data file');
    return (0, _main_js_1.handleReadSync)('audioData', path, version, options);
}
