"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readInfoFile = readInfoFile;
exports.readInfoFileSync = readInfoFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function readInfoFile(path = 'Info.dat', version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readInfoFile'), 'Async reading info file');
    return (0, _main_js_1.handleRead)('info', path, version, options);
}
function readInfoFileSync(path = 'Info.dat', version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readInfoFileSync'), 'Sync reading info file');
    return (0, _main_js_1.handleReadSync)('info', path, version, options);
}
