"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readLightshowFile = readLightshowFile;
exports.readLightshowFileSync = readLightshowFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function readLightshowFile(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readLightshowFile'), 'Async reading lightshow file');
    return (0, _main_js_1.handleRead)('lightshow', path, version, options);
}
function readLightshowFileSync(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readLightshowFileSync'), 'Sync reading lightshow file');
    return (0, _main_js_1.handleReadSync)('lightshow', path, version, options);
}
