import type { IShimsPath } from '../types/bsmap/shims.js';
/**
 * Wrapper for use in `read`, `write` and `globals.directory`.
 *
 * Do not use this as a mean to perform `path` operations.
 * This module only serve to provide cross-platform compatibility.
 *
 * If your runtime or vendor does not contain `node:` built-in module,
 * you should provide `path` function inside the `path` object from the module.
 * If you are creating a web app, you may ignore this.
 */
export declare const path: IShimsPath;
//# sourceMappingURL=path.d.ts.map