"use strict";
/**
 * Beatmap JSON schema for base game, modded and external.
 *
 * Current model version:
 * ```ts
 * Beatmap V1: 1.5.0
 * Beatmap V2: 2.6.0
 * Beatmap V3: 3.3.0
 * Beatmap V4: 4.0.0
 * ```
 *
 * Wrapper is used within the library for cross-version compatibility reason.
 *
 * @module
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.container = exports.wrapper = exports.v4 = exports.v3 = exports.v2 = exports.v1 = exports.external = void 0;
__exportStar(require("./shared/mod.js"), exports);
__exportStar(require("./options/mod.js"), exports);
exports.external = __importStar(require("./external/mod.js"));
exports.v1 = __importStar(require("./v1/mod.js"));
exports.v2 = __importStar(require("./v2/mod.js"));
exports.v3 = __importStar(require("./v3/mod.js"));
exports.v4 = __importStar(require("./v4/mod.js"));
exports.wrapper = __importStar(require("./wrapper/mod.js"));
exports.container = __importStar(require("./container/mod.js"));
