import type { Member } from '../../../utils.js';
export declare const Bool: {
    readonly FALSE: 0;
    readonly TRUE: 1;
};
export type Bool = Member<typeof Bool>;
export declare const AmbientMode: {
    readonly SKYBOX: 0;
    readonly TRILIGHT: 1;
    readonly FLAT: 3;
    readonly CUSTOM: 4;
};
export type AmbientMode = Member<typeof AmbientMode>;
export declare const DefaultReflectionMode: {
    readonly SKYBOX: 0;
    readonly CUSTOM: 1;
};
export type DefaultReflectionMode = Member<typeof DefaultReflectionMode>;
export declare const FogMode: {
    readonly LINEAR: 1;
    readonly EXPONENTIAL: 2;
    readonly EXPONENTIAL_SQUARED: 3;
};
export type FogMode = Member<typeof FogMode>;
export declare const AnisotropicFiltering: {
    readonly DISABLE: 0;
    readonly ENABLE: 1;
    readonly FORCE_ENABLE: 2;
};
export type AnisotropicFiltering = Member<typeof AnisotropicFiltering>;
export declare const ShadowMaskMode: {
    readonly SHADOWMASK: 0;
    readonly DISTANCE_SHADOWMASK: 1;
};
export type ShadowMaskMode = Member<typeof ShadowMaskMode>;
export declare const ShadowProjection: {
    readonly CLOSE_FIT: 0;
    readonly STABLE_FIT: 1;
};
export type ShadowProjection = Member<typeof ShadowProjection>;
export declare const ShadowResolution: {
    readonly LOW: 0;
    readonly MEDIUM: 1;
    readonly HIGH: 2;
    readonly VERY_HIGH: 3;
};
export type ShadowResolution = Member<typeof ShadowResolution>;
export declare const Shadows: {
    DISABLE: number;
    HARD_ONLY: number;
    ALL: number;
};
export type Shadows = Member<typeof Shadows>;
//# sourceMappingURL=constants.d.ts.map