import type { InferBeatmap, InferBeatmapSerial, InferBeatmapVersion } from '../types/beatmap/shared/infer.js';
import type { BeatmapFileType } from '../types/beatmap/shared/schema.js';
import type { IWriteOptions } from '../types/bsmap/writer.js';
export declare function tag(name: string): string[];
export declare function handleWrite<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, data: TWrapper, version?: TVersion | null | IWriteOptions<TFileType, TVersion, TWrapper, TSerial>, options?: IWriteOptions<TFileType, TVersion, TWrapper, TSerial>): Promise<TSerial>;
export declare function handleWriteSync<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, data: TWrapper, version?: TVersion | null | IWriteOptions<TFileType, TVersion, TWrapper, TSerial>, options?: IWriteOptions<TFileType, TVersion, TWrapper, TSerial>): TSerial;
//# sourceMappingURL=_main.d.ts.map