"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeDifficultyFile = writeDifficultyFile;
exports.writeDifficultyFileSync = writeDifficultyFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function writeDifficultyFile(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeDifficultyFile'), 'Async writing difficulty file');
    return (0, _main_js_1.handleWrite)('difficulty', data, version, options);
}
function writeDifficultyFileSync(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeDifficultyFileSync'), 'Sync writing difficulty file');
    return (0, _main_js_1.handleWriteSync)('difficulty', data, version, options);
}
