"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeInfoFile = writeInfoFile;
exports.writeInfoFileSync = writeInfoFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function writeInfoFile(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeInfoFile'), 'Async writing info file');
    return (0, _main_js_1.handleWrite)('info', data, version, options);
}
function writeInfoFileSync(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeInfoFileSync'), 'Sync writing info file');
    return (0, _main_js_1.handleWriteSync)('info', data, version, options);
}
