"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeLightshowFile = writeLightshowFile;
exports.writeLightshowFileSync = writeLightshowFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function writeLightshowFile(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeLightshowFile'), 'Async writing lightshow file');
    return (0, _main_js_1.handleWrite)('lightshow', data, version, options);
}
function writeLightshowFileSync(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeLightshowFileSync'), 'Sync writing lightshow file');
    return (0, _main_js_1.handleWriteSync)('lightshow', data, version, options);
}
