import { renameKey } from './_helpers.js';
import { isEmpty } from '../../../utils/misc/json.js';
export default function (customData) {
    if (!customData) {
        return {};
    }
    const cd = { ...customData };
    if (isEmpty(cd)) {
        return {};
    }
    renameKey(cd, 'color', '_color');
    renameKey(cd, 'lightID', '_lightID');
    renameKey(cd, 'easing', '_easing');
    renameKey(cd, 'lerpType', '_lerpType');
    renameKey(cd, 'nameFilter', '_nameFilter');
    renameKey(cd, 'rotation', '_rotation');
    renameKey(cd, 'step', '_step');
    renameKey(cd, 'prop', '_prop');
    renameKey(cd, 'speed', '_speed');
    renameKey(cd, 'direction', '_direction');
    renameKey(cd, 'lockRotation', '_lockPosition');
    return cd;
}
