import type { IWrapAudioData } from '../../../types/beatmap/wrapper/audioData.js';
/**
 * Convert to beatmap v4.
 * ```ts
 * const converted = toV4Audio(data);
 * ```
 *
 * **WARNING:** Custom data may be lost on conversion, as well as other incompatible attributes.
 */
export declare function toV4AudioData<T extends IWrapAudioData>(data: T, fromVersion?: number): T;
//# sourceMappingURL=audioData.d.ts.map