import type { IWrapBeatmap } from '../../../types/beatmap/wrapper/beatmap.js';
/**
 * Convert to beatmap v4.
 * ```ts
 * const converted = toV4Beatmap(data);
 * ```
 *
 * **WARNING:** Custom data may be lost on conversion, as well as other incompatible attributes.
 */
export declare function toV4Beatmap<T extends IWrapBeatmap>(data: T, fromVersion?: number): T;
//# sourceMappingURL=beatmap.d.ts.map