import type { IWrapBaseObject } from '../../../types/beatmap/wrapper/baseObject.js';
import { BaseItem } from './baseItem.js';
/**
 * Basic building block of beatmap object.
 *
 * Object may exist in a beatmap as a physical object or as an event.
 *
 * @abstract
 */
export declare abstract class BaseObject extends BaseItem implements IWrapBaseObject {
    time: IWrapBaseObject['time'];
    setTime(value: this['time']): this;
}
//# sourceMappingURL=baseObject.d.ts.map