import type { IWrapEventBoxGroup } from '../../../types/beatmap/wrapper/eventBoxGroup.js';
import { BaseObject } from './baseObject.js';
import type { EventBox } from './eventBox.js';
/**
 * Base event box group beatmap object.
 *
 * @abstract
 */
export declare abstract class EventBoxGroup extends BaseObject implements IWrapEventBoxGroup {
    id: IWrapEventBoxGroup['id'];
    abstract boxes: EventBox[];
    isValid(fn?: (object: this) => boolean, override?: boolean): boolean;
}
//# sourceMappingURL=eventBoxGroup.d.ts.map