import type { IWrapBasicEventTypesForKeywords } from '../../types/beatmap/wrapper/basicEventTypesForKeywords.js';
import type { DeepPartial } from '../../types/utils.js';
import { BaseItem } from './abstract/baseItem.js';
export declare function createBasicEventTypesForKeywords(data?: DeepPartial<IWrapBasicEventTypesForKeywords>): IWrapBasicEventTypesForKeywords;
/**
 * Core beatmap basic event types for keywords.
 */
export declare class BasicEventTypesForKeywords extends BaseItem implements IWrapBasicEventTypesForKeywords {
    static defaultValue: IWrapBasicEventTypesForKeywords;
    static createOne(data?: DeepPartial<IWrapBasicEventTypesForKeywords>): BasicEventTypesForKeywords;
    static create(...data: DeepPartial<IWrapBasicEventTypesForKeywords>[]): BasicEventTypesForKeywords[];
    constructor(data?: DeepPartial<IWrapBasicEventTypesForKeywords>);
    keyword: IWrapBasicEventTypesForKeywords['keyword'];
    events: IWrapBasicEventTypesForKeywords['events'];
    setKeyword(value: this['keyword']): this;
    setEvents(value: this['events']): this;
    addEvent(value: number): this;
    removeEvent(value: number): this;
}
//# sourceMappingURL=basicEventTypesForKeywords.d.ts.map