import type { IWrapFxEventInt } from '../../types/beatmap/wrapper/fxEventInt.js';
import { BaseObject } from './abstract/baseObject.js';
export declare function createFxEventInt(data?: Partial<IWrapFxEventInt>): IWrapFxEventInt;
/**
 * Core beatmap FX event int.
 */
export declare class FxEventInt extends BaseObject implements IWrapFxEventInt {
    static defaultValue: IWrapFxEventInt;
    static createOne(data?: Partial<IWrapFxEventInt>): FxEventInt;
    static create(...data: Partial<IWrapFxEventInt>[]): FxEventInt[];
    constructor(data?: Partial<IWrapFxEventInt>);
    previous: IWrapFxEventInt['previous'];
    value: IWrapFxEventInt['value'];
    setPrevious(value: this['previous']): this;
    setValue(value: this['value']): this;
    isValid(fn?: (object: this) => boolean, override?: boolean): boolean;
}
//# sourceMappingURL=fxEventInt.d.ts.map