import type { IWrapLightColorEventBoxGroup } from '../../types/beatmap/wrapper/lightColorEventBoxGroup.js';
import type { DeepPartial } from '../../types/utils.js';
import { EventBoxGroup } from './abstract/eventBoxGroup.js';
import { LightColorEventBox } from './lightColorEventBox.js';
export declare function createLightColorEventBoxGroup(data?: DeepPartial<IWrapLightColorEventBoxGroup>): IWrapLightColorEventBoxGroup;
/**
 * Core beatmap light color event box group.
 */
export declare class LightColorEventBoxGroup extends EventBoxGroup implements IWrapLightColorEventBoxGroup {
    static defaultValue: IWrapLightColorEventBoxGroup;
    static createOne(data?: Partial<IWrapLightColorEventBoxGroup>): LightColorEventBoxGroup;
    static create(...data: DeepPartial<IWrapLightColorEventBoxGroup>[]): LightColorEventBoxGroup[];
    constructor(data?: DeepPartial<IWrapLightColorEventBoxGroup>);
    reconcile(): this;
    boxes: LightColorEventBox[];
}
//# sourceMappingURL=lightColorEventBoxGroup.d.ts.map