import type { IWrapObstacle } from '../../../types/beatmap/wrapper/obstacle.js';
/** Check if obstacle is interactive. */
export declare function isInteractiveObstacle<T extends Pick<IWrapObstacle, 'posX' | 'width'>>(object: T): boolean;
/** Check if obstacle has zero value. */
export declare function isZeroValueObstacle<T extends Pick<IWrapObstacle, 'duration' | 'width' | 'height'>>(object: T): boolean;
/** Check if obstacle has negative value. */
export declare function isNegativeValueObstacle<T extends Pick<IWrapObstacle, 'posY' | 'duration' | 'width' | 'height'>>(object: T): boolean;
//# sourceMappingURL=obstacle.d.ts.map