/**
 * Get direction angle of Noodle Extensions in beatmap v2.
 */
export function getNoodleExtensionsAngleV2(data) {
    if (data.customData._cutDirection) {
        return data.customData._cutDirection > 0
            ? data.customData._cutDirection % 360
            : 360 + (data.customData._cutDirection % 360);
    }
    return null;
}
