// deno-lint-ignore-file no-explicit-any
import { logger } from '../../logger.js';
import { saveBeatmap, tag } from './_main.js';
export function saveAudioData(data, version, options) {
    const ver = typeof version === 'number' ? version : null;
    const opt = (typeof version !== 'number' ? version : options) ?? {};
    logger.tInfo(tag('saveAudioData'), 'Saving audio data to JSON');
    return saveBeatmap('audioData', data, ver, opt);
}
