import { createBPMEvent } from '../../core/bpmEvent.js';
/**
 * Schema serialization for v1 `BPM Event`.
 */
export const bpmEvent = {
    serialize(data) {
        return {
            _time: data.time,
            _type: 100,
            _value: Math.round(data.bpm),
        };
    },
    deserialize(data) {
        return createBPMEvent({
            time: data._time,
            bpm: data._value,
        });
    },
};
