import { createColorBoostEvent } from '../../core/colorBoostEvent.js';
/**
 * Schema serialization for v1 `Color Boost Event`.
 */
export const colorBoostEvent = {
    serialize(data) {
        return {
            _time: data.time,
            _type: 5,
            _value: data.toggle ? 1 : 0,
        };
    },
    deserialize(data) {
        return createColorBoostEvent({
            time: data._time,
            toggle: data._value === 1,
        });
    },
};
