import { v } from '../../../../_deps.js';
import type { IDifficulty, IEvent, INote, IObstacle } from '../../../../types/beatmap/v1/mod.js';
import type { IBookmark, IBPMChangeOld } from '../../../../types/beatmap/v2/mod.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v1 `Note`.
 */
export declare const NoteSchema: v.ObjectSchema<InferObjectEntries<INote>, undefined>;
/**
 * Schema declaration for v1 `Obstacle`.
 */
export declare const ObstacleSchema: v.ObjectSchema<InferObjectEntries<IObstacle>, undefined>;
/**
 * Schema declaration for v1 `Event`.
 */
export declare const EventSchema: v.ObjectSchema<InferObjectEntries<IEvent>, undefined>;
/**
 * Schema declaration for v1 `BPM Change`.
 */
export declare const CustomBPMChangeOldSchema: v.ObjectSchema<InferObjectEntries<IBPMChangeOld>, undefined>;
/**
 * Schema declaration for v1 `Bookmark`.
 */
export declare const CustomBookmarkSchema: v.ObjectSchema<InferObjectEntries<Omit<IBookmark, '_color'>>, undefined>;
/**
 * Schema declaration for v1 `Difficulty`.
 */
export declare const DifficultySchema: v.ObjectSchema<InferObjectEntries<IDifficulty>, undefined>;
//# sourceMappingURL=difficulty.d.ts.map