import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IDifficulty } from '../../../types/beatmap/v1/difficulty.js';
import type { IWrapBeatmap } from '../../../types/beatmap/wrapper/beatmap.js';
import type { IWrapInfo, IWrapInfoBeatmap } from '../../../types/beatmap/wrapper/info.js';
type DifficultySerializationPolyfills = Pick<IWrapInfo['audio'], 'bpm' | 'shuffle' | 'shufflePeriod'> & Pick<IWrapInfoBeatmap, 'njs' | 'njsOffset'> & {
    beatsPerBar: number;
};
type DifficultyDeserializationPolyfills = Pick<IWrapBeatmap, 'filename' | 'lightshowFilename'>;
/**
 * Schema serialization for v1 `Difficulty`.
 */
export declare const difficulty: ISchemaContainer<IWrapBeatmap, IDifficulty, DifficultySerializationPolyfills, DifficultyDeserializationPolyfills>;
export {};
//# sourceMappingURL=difficulty.d.ts.map