import { round } from '../../../../utils/math/helpers.js';
/**
 * Optimize v1 `Info` schema data.
 */
export function optimizeInfo(data, options) {
    if (options.floatTrim) {
        data.previewDuration = round(data.previewDuration, options.floatTrim);
        data.previewStartTime = round(data.previewStartTime, options.floatTrim);
    }
    if (options.stringTrim) {
        data.authorName = data.authorName.trim();
        data.songName = data.songName.trim();
        data.songSubName = data.songSubName.trim();
    }
}
