import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IBPMInfo } from '../../../types/beatmap/v2/bpmInfo.js';
import type { IWrapAudioData } from '../../../types/beatmap/wrapper/audioData.js';
type AudioDataDeserializationPolyfills = Pick<IWrapAudioData, 'filename' | 'audioChecksum'>;
/**
 * Schema serialization for v2 `Audio Data`.
 */
export declare const audioData: ISchemaContainer<IWrapAudioData, IBPMInfo, Record<string, any>, AudioDataDeserializationPolyfills>;
export {};
//# sourceMappingURL=audioData.d.ts.map