import { v } from '../../../../../_deps.js';
/** Schema declaration for v2 custom `Color`. */
export const CustomColorObjectSchema = v.object({
    r: v.number(),
    g: v.number(),
    b: v.number(),
    a: v.optional(v.number()),
});
/** Schema declaration for v2 custom `Color Scheme`. */
export const CustomColorSchemeSchema = v.object({
    _colorLeft: v.optional(CustomColorObjectSchema),
    _colorRight: v.optional(CustomColorObjectSchema),
    _envColorLeft: v.optional(CustomColorObjectSchema),
    _envColorRight: v.optional(CustomColorObjectSchema),
    _envColorWhite: v.optional(CustomColorObjectSchema),
    _envColorLeftBoost: v.optional(CustomColorObjectSchema),
    _envColorRightBoost: v.optional(CustomColorObjectSchema),
    _envColorWhiteBoost: v.optional(CustomColorObjectSchema),
    _obstacleColor: v.optional(CustomColorObjectSchema),
});
