import { v } from '../../../../../_deps.js';
import { CustomBookmarkSchema } from './bookmark.js';
import { CustomBPMChangeOldSchema, CustomBPMChangeSchema } from './bpmChange.js';
/** Schema declaration for v2 `Difficulty` custom data. */
export const CustomDataDifficultySchema = v.looseObject({
    _time: v.optional(v.number()),
    _bookmarks: v.optional(v.array(CustomBookmarkSchema)),
    _bpmChanges: v.optional(v.array(CustomBPMChangeOldSchema)),
    _BPMChanges: v.optional(v.array(CustomBPMChangeSchema)),
});
