import { v } from '../../../../_deps.js';
import type { IInfo, IInfoColorScheme, IInfoColorSchemeData, IInfoDifficulty, IInfoSet } from '../../../../types/beatmap/v2/info.js';
import type { IColor } from '../../../../types/colors.js';
import { type InferObjectEntries } from '../../helpers.js';
/** Schema declaration for v2 `InfoSetDifficulty`. */
export declare const InfoSetDifficultySchema: v.ObjectSchema<InferObjectEntries<IInfoDifficulty>, undefined>;
/** Schema declaration for v2 `InfoSet`. */
export declare const InfoSetSchema: v.ObjectSchema<InferObjectEntries<IInfoSet>, undefined>;
/** Schema declaration for v2 `Color`. */
export declare const ColorObjectSchema: v.ObjectSchema<InferObjectEntries<Required<IColor>>, undefined>;
/** Schema declaration for v2 `InfoColorSchemeData`. */
export declare const InfoColorSchemeDataSchema: v.ObjectSchema<InferObjectEntries<IInfoColorSchemeData>, undefined>;
/** Schema declaration for v2 `InfoColorScheme`. */
export declare const InfoColorSchemeSchema: v.ObjectSchema<InferObjectEntries<IInfoColorScheme>, undefined>;
/** Schema declaration for v2 `Info`. */
export declare const InfoSchema: v.ObjectSchema<InferObjectEntries<IInfo>, undefined>;
//# sourceMappingURL=info.d.ts.map