import { v } from '../../../../../_deps.js';
import type { ICustomCharacteristic, ICustomDataInfo, ICustomDataInfoBeatmap } from '../../../../../types/beatmap/v4/custom/info.js';
import type { InferObjectEntries } from '../../../helpers.js';
/** Schema declaration for v4 `Custom Characteristic`. */
export declare const CustomCharacteristicSchema: v.ObjectSchema<InferObjectEntries<ICustomCharacteristic>, undefined>;
/** Schema declaration for v4 `Info` custom data. */
export declare const CustomDataInfoSchema: v.LooseObjectSchema<InferObjectEntries<ICustomDataInfo>, undefined>;
/** Schema declaration for v4 `Info Difficulty` custom data. */
export declare const CustomDataInfoBeatmapSchema: v.LooseObjectSchema<InferObjectEntries<ICustomDataInfoBeatmap>, undefined>;
//# sourceMappingURL=info.d.ts.map