/**
 * Abstract class to clone class object.
 *
 * Must contain constructor parameter that reference itself.
 * Otherwise override the clone method.
 */
export class Cloneable {
    clone() {
        return new this.constructor(this);
    }
}
