import { isLightEventType, isOnEventValue } from '../../../beatmap/helpers/core/basicEvent.js';
export function applyEasingsTransition(events, options) {
    let filteredEvents = events.filter((ev) => isLightEventType(ev.type) && isOnEventValue(ev.value));
    if (typeof options.type === 'number') {
        filteredEvents = filteredEvents.filter((ev) => ev.type === options.type);
    }
    filteredEvents.forEach((ev) => {
        ev.customData.easing = options.easing;
    });
}
