import type { Vector3 } from '../../../../types/vector.js';
import type { IChromaEnvironment } from '../../../../types/beatmap/v3/custom/chroma.js';
import type { IChromaEnvironmentPlacement } from '../types/environment.js';
export declare class EnvironmentGroup {
    data: IChromaEnvironment[];
    anchor: Vector3;
    protected constructor(data: IChromaEnvironment[], anchor?: Vector3);
    static create(data: IChromaEnvironment[], anchor?: Vector3): EnvironmentGroup;
    place(options: IChromaEnvironmentPlacement): IChromaEnvironment[];
    place(options: IChromaEnvironmentPlacement, insertTo: IChromaEnvironment[]): void;
}
//# sourceMappingURL=group.d.ts.map