import type { Vector2 } from '../../../../types/vector.js';
import type { INENote } from '../types/object.js';
/**
 * Apply random flip to notes.
 * ```ts
 * ne.randomFlip(notes, [[-4, 4], [0, 2]]);
 * ```
 */
export declare function randomFlip<T extends Pick<INENote, 'customData'>>(notes: T[], range: [Vector2, Vector2]): void;
//# sourceMappingURL=flip.d.ts.map