import type { Vector2 } from '../../../types/vector.js';
/** Create points around circle, higher precision is more accurate. */
export declare function createCircle(radius: number, precision: number, angleOffset?: number): Vector2[];
export declare function drawPolygon(radius: number, sides: number, options?: {
    angleOffset?: number;
    type?: 'inscribed' | 'circumscribed';
}): {
    coordinates: Vector2[];
    rotations: number[];
    sizes: number[];
};
export declare function drawPath(path: Vector2[]): {
    coordinates: Vector2[];
    rotations: number[];
    sizes: number[];
};
//# sourceMappingURL=point.d.ts.map