import type { IWrapObstacle } from '../../types/beatmap/wrapper/obstacle.js';
import type { IObstacleCount } from './types/stats.js';
/**
 * Count number of type of obstacles with their properties in given array and return a obstacle count object.
 * ```ts
 * const list = count(walls);
 * console.log(list);
 * ```
 */
export declare function countObstacle<T extends IWrapObstacle>(obstacles: T[], version?: number): IObstacleCount;
//# sourceMappingURL=obstacle.d.ts.map