// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleRead, handleReadSync, tag } from './_main.js';
export function readDifficultyFile(path, version, options) {
    logger.tInfo(tag('readDifficultyFile'), 'Async reading difficulty file');
    return handleRead('difficulty', path, version, options);
}
export function readDifficultyFileSync(path, version, options) {
    logger.tInfo(tag('readDifficultyFileSync'), 'Sync reading difficulty file');
    return handleReadSync('difficulty', path, version, options);
}
