// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleRead, handleReadSync, tag } from './_main.js';
export function readLightshowFile(path, version, options) {
    logger.tInfo(tag('readLightshowFile'), 'Async reading lightshow file');
    return handleRead('lightshow', path, version, options);
}
export function readLightshowFileSync(path, version, options) {
    logger.tInfo(tag('readLightshowFileSync'), 'Sync reading lightshow file');
    return handleReadSync('lightshow', path, version, options);
}
