import type { IShimsFileSystem } from '../types/bsmap/shims.js';
/**
 * Wrapper for use in `read` and `write`.
 *
 * Do not use this as a mean to perform `fs` operations.
 * This module only serve to provide cross-platform compatibility.
 *
 * If your runtime or vendor does not contain `node:` built-in module,
 * you should provide `fs` function inside the `fs` object from the module.
 * If you are creating a web app, you may ignore this and use `load` and `save`.
 */
export declare const fs: IShimsFileSystem;
//# sourceMappingURL=fs.d.ts.map