import type { IBasicEvent } from './basicEvent.js';
import type { IColorBoostEvent } from './colorBoostEvent.js';
import type { ILightColorEventBoxGroup } from './lightColorEventBoxGroup.js';
import type { ILightRotationEventBoxGroup } from './lightRotationEventBoxGroup.js';
import type { ILightTranslationEventBoxGroup } from './lightTranslationEventBoxGroup.js';
import type { ICustomDataDifficulty } from './custom/difficulty.js';
import type { IBaseItem } from './baseItem.js';
import type { IFxEventBoxGroup } from './fxEventBoxGroup.js';
import type { IFxEventsCollection } from './fxEventsCollection.js';
/**
 * Schema for v3 `Lightshow`.
 */
export interface ILightshow extends IBaseItem {
    basicBeatmapEvents?: IBasicEvent[];
    colorBoostBeatmapEvents?: IColorBoostEvent[];
    lightColorEventBoxGroups?: ILightColorEventBoxGroup[];
    lightRotationEventBoxGroups?: ILightRotationEventBoxGroup[];
    lightTranslationEventBoxGroups?: ILightTranslationEventBoxGroup[];
    vfxEventBoxGroups?: IFxEventBoxGroup[];
    _fxEventsCollection?: IFxEventsCollection;
    customData?: ICustomDataDifficulty;
}
//# sourceMappingURL=lightshow.d.ts.map