import type { IWrapBaseObject } from './baseObject.js';
import type { IWrapEventBox } from './eventBox.js';
/**
 * Wrapper attribute for beatmap event box group.
 */
export interface IWrapEventBoxGroup extends IWrapBaseObject {
    /**
     * Group ID of event box group
     *
     * **Type:** `i32`
     */
    id: number;
    boxes: IWrapEventBox[];
}
//# sourceMappingURL=eventBoxGroup.d.ts.map