/**
 * Various types and interfaces for the library.
 *
 * All interfaces are prefixed with `I` to avoid confusion instantiable object at glance.
 *
 * If you wish to only deal with beatmap schema, import from beatmap directory.
 *
 * @module
 */
import "../_dnt.polyfills.js";
export * from './beatmap/mod.js';
export * from './bsmap/mod.js';
export * from './colors.js';
export * from './easings.js';
export * from './utils.js';
export * from './vector.js';
