// deno-lint-ignore-file no-explicit-any
import { logger } from '../logger.js';
import { handleWrite, handleWriteSync, tag } from './_main.js';
export function writeAudioDataFile(data, version, options) {
    logger.tInfo(tag('writeAudioDataFile'), 'Async writing audio data file');
    return handleWrite('audioData', data, version, options);
}
export function writeAudioDataFileSync(data, version, options) {
    logger.tInfo(tag('writeAudioDataFileSync'), 'Sync writing audio data file');
    return handleWriteSync('audioData', data, version, options);
}
