"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const json_js_1 = require("../../../utils/misc/json.js");
const _helpers_js_1 = require("./_helpers.js");
function default_1(customData) {
    if (!customData) {
        return {};
    }
    const cd = { ...customData };
    if ((0, json_js_1.isEmpty)(cd)) {
        return {};
    }
    (0, _helpers_js_1.renameKey)(cd, '_color', 'color');
    (0, _helpers_js_1.renameKey)(cd, '_lightID', 'lightID');
    (0, _helpers_js_1.renameKey)(cd, '_easing', 'easing');
    (0, _helpers_js_1.renameKey)(cd, '_lerpType', 'lerpType');
    (0, _helpers_js_1.renameKey)(cd, '_nameFilter', 'nameFilter');
    (0, _helpers_js_1.renameKey)(cd, '_rotation', 'rotation');
    (0, _helpers_js_1.renameKey)(cd, '_step', 'step');
    (0, _helpers_js_1.renameKey)(cd, '_prop', 'prop');
    (0, _helpers_js_1.renameKey)(cd, '_direction', 'direction');
    (0, _helpers_js_1.renameKey)(cd, '_lockPosition', 'lockRotation');
    // special case
    if (typeof cd._preciseSpeed === 'number')
        cd.speed = cd._preciseSpeed;
    else
        cd.speed ??= cd._speed;
    delete cd._speed;
    delete cd._preciseSpeed;
    delete cd._propID;
    delete cd._lightGradient;
    delete cd._reset;
    delete cd._counterSpin;
    delete cd._stepMult;
    delete cd._propMult;
    delete cd._speedMult;
    return cd;
}
