"use strict";
/**
 * Beatmap conversion module.
 *
 * The convertor will not perform copy operations on the beatmap data.
 * If you are handling or referencing any beatmap data elsewhere,
 * it is recommended to clone before passing over to conversion function.
 *
 * While the beatmap wrapper in the module is version agnostic,
 * the underlying data such as custom data are still required to be converted to respective version.
 *
 * @module
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
__exportStar(require("./lightGradient.js"), exports);
__exportStar(require("./oldChroma.js"), exports);
__exportStar(require("./toV1/mod.js"), exports);
__exportStar(require("./toV2/mod.js"), exports);
__exportStar(require("./toV3/mod.js"), exports);
__exportStar(require("./toV4/mod.js"), exports);
