import type { IWrapInfo } from '../../../types/beatmap/wrapper/info.js';
/**
 * Convert to beatmap v4.
 * ```ts
 * const converted = toV4Info(data);
 * ```
 *
 * **WARNING:** Custom data may be lost on conversion, as well as other incompatible attributes.
 */
export declare function toV4Info<T extends IWrapInfo>(data: T, fromVersion?: number): T;
//# sourceMappingURL=info.d.ts.map