import type { IWrapColorBoostEvent } from '../../types/beatmap/wrapper/colorBoostEvent.js';
import type { DeepPartial } from '../../types/utils.js';
import { BaseObject } from './abstract/baseObject.js';
export declare function createColorBoostEvent(data?: DeepPartial<IWrapColorBoostEvent>): IWrapColorBoostEvent;
/**
 * Core beatmap color boost event.
 */
export declare class ColorBoostEvent extends BaseObject implements IWrapColorBoostEvent {
    static defaultValue: IWrapColorBoostEvent;
    static createOne(data?: Partial<IWrapColorBoostEvent>): ColorBoostEvent;
    static create(...data: Partial<IWrapColorBoostEvent>[]): ColorBoostEvent[];
    constructor(data?: Partial<IWrapColorBoostEvent>);
    toggle: IWrapColorBoostEvent['toggle'];
    setToggle(value: this['toggle']): this;
}
//# sourceMappingURL=colorBoostEvent.d.ts.map