"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gridToUnityUnit = gridToUnityUnit;
exports.unityToGridUnit = unityToGridUnit;
const constants_js_1 = require("../shared/constants.js");
/** Convert grid lane size unit to unity unit. */
function gridToUnityUnit(value) {
    return value * constants_js_1.LANE_SIZE;
}
/** Convert unity unit to grid lane size unit. */
function unityToGridUnit(value) {
    return value / constants_js_1.LANE_SIZE;
}
