/** Data check version map for schema beatmap info. */
export declare const infoCheckMap: {
    readonly 1: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v1/info.js").IInfo>, undefined>;
    readonly 2: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v2/info.js").IInfo>, undefined>;
    readonly 4: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v4/info.js").IInfo>, undefined>;
};
/** Data check version map for schema beatmap audio data. */
export declare const audioSchemaMap: {
    readonly 2: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v2/bpmInfo.js").IBPMInfo>, undefined>;
    readonly 4: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v4/audioData.js").IAudio>, undefined>;
};
/** Data check version map for schema beatmap difficulty. */
export declare const difficultyCheckMap: {
    readonly 1: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v1/difficulty.js").IDifficulty>, undefined>;
    readonly 2: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v2/difficulty.js").IDifficulty>, undefined>;
    readonly 3: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v3/difficulty.js").IDifficulty>, undefined>;
    readonly 4: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v4/difficulty.js").IDifficulty>, undefined>;
};
/** Data check version map for schema beatmap lightshow. */
export declare const lightshowCheckMap: {
    readonly 3: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v3/lightshow.js").ILightshow>, undefined>;
    readonly 4: import("valibot").ObjectSchema<import("../schema/helpers.js").InferObjectEntries<import("../../types/beatmap/v4/lightshow.js").ILightshow>, undefined>;
};
//# sourceMappingURL=validator.d.ts.map