import type { ISaveOptions } from '../../types/beatmap/options/saver.js';
import type { InferBeatmap, InferBeatmapSerial, InferBeatmapVersion } from '../../types/beatmap/shared/infer.js';
import type { BeatmapFileType } from '../../types/beatmap/shared/schema.js';
export declare function tag(name: string): string[];
export declare function saveBeatmap<TFileType extends BeatmapFileType, TVersion extends InferBeatmapVersion<TFileType>, TWrapper extends Record<string, any> = InferBeatmap<TFileType>, TSerial extends Record<string, any> = InferBeatmapSerial<TFileType, TVersion>>(type: TFileType, data: TWrapper, version?: TVersion | null, options?: ISaveOptions<TFileType, TVersion, TWrapper, TSerial>): TSerial;
//# sourceMappingURL=_main.d.ts.map