"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomBPMChangeSchema = exports.CustomBPMChangeOldSchema = void 0;
const _deps_js_1 = require("../../../../../_deps.js");
/** Schema declaration for v2 custom `BPM Change (Old)`. */
exports.CustomBPMChangeOldSchema = _deps_js_1.v.object({
    _time: _deps_js_1.v.number(),
    _bpm: _deps_js_1.v.number(),
    _BPM: _deps_js_1.v.never(),
    _beatsPerBar: _deps_js_1.v.number(),
    _metronomeOffset: _deps_js_1.v.number(),
});
/** Schema declaration for v2 custom `BPM Change`. */
exports.CustomBPMChangeSchema = _deps_js_1.v.object({
    _time: _deps_js_1.v.number(),
    _bpm: _deps_js_1.v.never(),
    _BPM: _deps_js_1.v.number(),
    _beatsPerBar: _deps_js_1.v.number(),
    _metronomeOffset: _deps_js_1.v.number(),
});
