"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomColorSchemeSchema = exports.CustomColorObjectSchema = void 0;
const _deps_js_1 = require("../../../../../_deps.js");
/** Schema declaration for v2 custom `Color`. */
exports.CustomColorObjectSchema = _deps_js_1.v.object({
    r: _deps_js_1.v.number(),
    g: _deps_js_1.v.number(),
    b: _deps_js_1.v.number(),
    a: _deps_js_1.v.optional(_deps_js_1.v.number()),
});
/** Schema declaration for v2 custom `Color Scheme`. */
exports.CustomColorSchemeSchema = _deps_js_1.v.object({
    _colorLeft: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _colorRight: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorLeft: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorRight: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorWhite: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorLeftBoost: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorRightBoost: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _envColorWhiteBoost: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
    _obstacleColor: _deps_js_1.v.optional(exports.CustomColorObjectSchema),
});
