import { v } from '../../../../../_deps.js';
import type { ICustomDataInfo, ICustomDataInfoDifficulty, ICustomDataInfoSet } from '../../../../../types/beatmap/v2/custom/info.js';
import type { InferObjectEntries } from '../../../helpers.js';
/** Schema declaration for v2 `Info` custom data. */
export declare const CustomDataInfoSchema: v.LooseObjectSchema<InferObjectEntries<ICustomDataInfo>, undefined>;
/** Schema declaration for v2 `Info Set` custom data. */
export declare const CustomDataInfoSetSchema: v.LooseObjectSchema<InferObjectEntries<ICustomDataInfoSet>, undefined>;
/** Schema declaration for v2 `Info Set Difficulty` custom data. */
export declare const CustomDataInfoSetDifficultySchema: v.LooseObjectSchema<InferObjectEntries<ICustomDataInfoDifficulty>, undefined>;
//# sourceMappingURL=info.d.ts.map