import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { IInfoDifficulty } from '../../../types/beatmap/v2/info.js';
import type { IWrapInfoBeatmap } from '../../../types/beatmap/wrapper/info.js';
type IInfoBeatmapDeserializationPolyfills = Pick<IWrapInfoBeatmap, 'characteristic' | 'lightshowFilename' | 'authors'>;
/**
 * Schema serialization for v2 `Info Beatmap`.
 */
export declare const infoBeatmap: ISchemaContainer<IWrapInfoBeatmap, IInfoDifficulty, Record<string, any>, IInfoBeatmapDeserializationPolyfills>;
export {};
//# sourceMappingURL=infoBeatmap.d.ts.map