"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.basicEventTypesForKeywords = void 0;
const basicEventTypesForKeywords_js_1 = require("../../core/basicEventTypesForKeywords.js");
/**
 * Schema serialization for v3 `Basic Event Types For Keywords`.
 */
exports.basicEventTypesForKeywords = {
    serialize(data) {
        return {
            k: data.keyword,
            e: data.events.map((e) => e),
        };
    },
    deserialize(data) {
        return (0, basicEventTypesForKeywords_js_1.createBasicEventTypesForKeywords)({
            keyword: data.k,
            events: data.e?.map((e) => e),
        });
    },
};
