"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.basicEventTypesWithKeywords = void 0;
const basicEventTypesForKeywords_js_1 = require("./basicEventTypesForKeywords.js");
/**
 * Schema serialization for v3 `Basic Event Types With Keywords`.
 */
exports.basicEventTypesWithKeywords = {
    serialize(data) {
        return {
            d: data.list.map((x) => {
                return basicEventTypesForKeywords_js_1.basicEventTypesForKeywords.serialize(x);
            }),
        };
    },
    deserialize(data) {
        return {
            list: data.d?.map((x) => {
                return basicEventTypesForKeywords_js_1.basicEventTypesForKeywords.deserialize(x);
            }) ?? [],
        };
    },
};
