"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LightshowSchema = void 0;
const _deps_js_1 = require("../../../../_deps.js");
const helpers_js_1 = require("../../helpers.js");
const mod_js_1 = require("../../shared/declaration/mod.js");
const difficulty_js_1 = require("./difficulty.js");
/**
 * Schema declaration for v3 `Lightshow`.
 */
exports.LightshowSchema = (0, helpers_js_1.entity)(() => '3.0.0', {
    basicBeatmapEvents: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.BasicEventSchema)), {
        version: '3.0.0',
    }),
    colorBoostBeatmapEvents: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.ColorBoostEventSchema)), {
        version: '3.0.0',
    }),
    lightColorEventBoxGroups: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.LightColorEventBoxGroupSchema)), {
        version: '3.0.0',
    }),
    lightRotationEventBoxGroups: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.LightRotationEventBoxGroupSchema)), {
        version: '3.0.0',
    }),
    lightTranslationEventBoxGroups: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.LightTranslationEventBoxGroupSchema)), {
        version: '3.2.0',
    }),
    vfxEventBoxGroups: (0, helpers_js_1.field)(_deps_js_1.v.optional(_deps_js_1.v.array(difficulty_js_1.VfxEventBoxGroupSchema)), {
        version: '3.3.0',
    }),
    _fxEventsCollection: (0, helpers_js_1.field)(_deps_js_1.v.optional(difficulty_js_1.FxEventsCollectionSchema), {
        version: '3.3.0',
    }),
    customData: (0, helpers_js_1.field)(_deps_js_1.v.optional(mod_js_1.CustomDataSchema)),
});
