import type { ISchemaContainer } from '../../../types/beatmap/shared/schema.js';
import type { ILightshow } from '../../../types/beatmap/v3/lightshow.js';
import type { IWrapBeatmap } from '../../../types/beatmap/wrapper/beatmap.js';
type LightshowDeserializationPolyfills = Pick<IWrapBeatmap, 'filename' | 'lightshowFilename'>;
/**
 * Schema serialization for v3 `Lightshow`.
 */
export declare const lightshow: ISchemaContainer<IWrapBeatmap, ILightshow, Record<string, any>, LightshowDeserializationPolyfills>;
export {};
//# sourceMappingURL=lightshow.d.ts.map