import { v } from '../../../../_deps.js';
import type { IInfo, IInfoAudio, IInfoBeatmap, IInfoBeatmapAuthors, IInfoColorScheme, IInfoSong } from '../../../../types/beatmap/v4/info.js';
import { type InferObjectEntries } from '../../helpers.js';
/**
 * Schema declaration for v4 `Info Song`.
 */
export declare const InfoSongSchema: v.ObjectSchema<InferObjectEntries<IInfoSong>, undefined>;
/**
 * Schema declaration for v4 `Info Audio`.
 */
export declare const InfoAudioSchema: v.ObjectSchema<InferObjectEntries<IInfoAudio>, undefined>;
/**
 * Schema declaration for v4 `Info Color Scheme`.
 */
export declare const InfoColorSchemeSchema: v.ObjectSchema<InferObjectEntries<IInfoColorScheme>, undefined>;
/**
 * Schema declaration for v4 `Info Beatmap Authors`.
 */
export declare const InfoBeatmapAuthorsSchema: v.ObjectSchema<InferObjectEntries<IInfoBeatmapAuthors>, undefined>;
/**
 * Schema declaration for v4 `Info Beatmap`.
 */
export declare const InfoDifficultySchema: v.ObjectSchema<InferObjectEntries<IInfoBeatmap>, undefined>;
/**
 * Schema declaration for v4 `Info`.
 */
export declare const InfoSchema: v.ObjectSchema<InferObjectEntries<IInfo>, undefined>;
//# sourceMappingURL=info.d.ts.map