"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cloneable = void 0;
/**
 * Abstract class to clone class object.
 *
 * Must contain constructor parameter that reference itself.
 * Otherwise override the clone method.
 */
class Cloneable {
    clone() {
        return new this.constructor(this);
    }
}
exports.Cloneable = Cloneable;
