import type { ISchemaCheckOptions } from '../../types/beatmap/options/schema.js';
import type { BeatmapFileType } from '../../types/beatmap/shared/schema.js';
/**
 * Validate the beatmap JSON data against the schema.
 */
export declare function validateJSON<T extends Record<string, any> = Record<string, any>>(type: BeatmapFileType, data: T, version: number, options?: Partial<ISchemaCheckOptions>): T;
//# sourceMappingURL=json.d.ts.map