"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyEasingsTransition = applyEasingsTransition;
const basicEvent_js_1 = require("../../../beatmap/helpers/core/basicEvent.js");
function applyEasingsTransition(events, options) {
    let filteredEvents = events.filter((ev) => (0, basicEvent_js_1.isLightEventType)(ev.type) && (0, basicEvent_js_1.isOnEventValue)(ev.value));
    if (typeof options.type === 'number') {
        filteredEvents = filteredEvents.filter((ev) => ev.type === options.type);
    }
    filteredEvents.forEach((ev) => {
        ev.customData.easing = options.easing;
    });
}
