declare abstract class EnvironmentGrabBase {
    protected _regex: string;
    protected _string: string;
    get regex(): string;
    get string(): string;
}
export declare class EnvironmentGrab extends EnvironmentGrabBase {
    private hasNested;
    constructor(value?: string);
    static Preset: Record<string, EnvironmentGrabEnd>;
    static create(value?: string): EnvironmentGrab | EnvironmentGrabNamed;
    /** Grab game object name. */
    name(value: string): EnvironmentGrabNamed;
    /** Take duplicate ID. */
    id(id: number | null, optional?: boolean): EnvironmentGrabNamedID;
    /** Add spaces. */
    space(count?: number): this;
    /** Grab cloned. */
    clone(count?: number): EnvironmentGrabNamedID;
    /**  Final regex point, also endpoint. */
    end(): EnvironmentGrabEnd;
    /** Move into child, ID is optional for regex. */
    child(id?: number): EnvironmentGrabChild;
}
declare abstract class EnvironmentGrabEnd extends EnvironmentGrabBase {
}
declare abstract class EnvironmentGrabChild extends EnvironmentGrabBase {
    name(value: string): EnvironmentGrabNamed;
    space(count?: number): this;
}
declare abstract class EnvironmentGrabNamed extends EnvironmentGrabBase {
    id(id: number | null, optional?: boolean): EnvironmentGrabNamedID;
    clone(count?: number): EnvironmentGrabEnd;
    end(): EnvironmentGrabEnd;
    child(id?: number): EnvironmentGrabChild;
    space(count?: number): this;
}
declare abstract class EnvironmentGrabNamedID extends EnvironmentGrabBase {
    clone(count?: number): this;
    end(): EnvironmentGrabEnd;
    child(id?: number): EnvironmentGrabChild;
    space(count?: number): this;
}
export {};
//# sourceMappingURL=grab.d.ts.map