import type { EnvironmentAllName } from '../../types/beatmap/shared/environment.js';
/**
 * Record of Event Type to Name.
 */
export declare const genericTypeMap: {
    [key: number]: string;
};
/**
 * Record of Environment to Type to Name.
 */
export declare const environmentTypeMap: {
    [env in EnvironmentAllName]?: {
        [key: number]: string;
    };
};
/**
 * Safely retrieve the name of an event type.
 */
export declare function eventTypeRename(type: number, environment?: EnvironmentAllName): string;
//# sourceMappingURL=event.d.ts.map