import type { EnvironmentAllName } from '../../types/beatmap/shared/environment.js';
/**
 * Record of Environment to Group ID to Name.
 */
export declare const environmentGroupMap: {
    [env in EnvironmentAllName]?: {
        [key: number]: string;
    };
};
/**
 * Safely retrieve the name of an event group.
 */
export declare function eventGroupRename(id: number, environment?: EnvironmentAllName): string;
//# sourceMappingURL=group.d.ts.map