"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMaxEffectiveBpm = getMaxEffectiveBpm;
exports.getMaxEffectiveBpmSwing = getMaxEffectiveBpmSwing;
/**
 * Get maximum effective bpm.
 */
function getMaxEffectiveBpm(swings) {
    return Math.max(...swings.map((s) => s.ebpm), 0);
}
/**
 * Get maximum effective bpm swing.
 */
function getMaxEffectiveBpmSwing(swings) {
    return Math.max(...swings.map((s) => s.ebpmSwing), 0);
}
