"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataCorrection = void 0;
/**
 * Patch module for patching erronous data in beatmap.
 *
 * This module is not included as it is very rarely used and unstable.
 * It contains functions to attempt fix and alter beatmap objects that
 * were potentially broken or contain incompatible data.
 *
 * You may try to load beatmap with schema check disabled to be able to use certain patch.
 *
 * @example Patch beatmap data
 * ```ts
 * import { readDifficultyFileData } from '@kvl/bsmap';
 * import { dataCorrection } from '@kvl/bsmap/patch';
 *
 * const beatmap = readDifficultyFileData('path/to/beatmap.dat', { load: { schemaCheck: { enabled: false } } });
 * dataCorrection.beatmap(beatmap);
 * ```
 *
 * @module
 */
require("../_dnt.polyfills.js");
__exportStar(require("./customDataUpdate.js"), exports);
__exportStar(require("./removeOutsidePlayable.js"), exports);
exports.dataCorrection = __importStar(require("./dataCorrection/mod.js"));
