"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readDifficultyFile = readDifficultyFile;
exports.readDifficultyFileSync = readDifficultyFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function readDifficultyFile(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readDifficultyFile'), 'Async reading difficulty file');
    return (0, _main_js_1.handleRead)('difficulty', path, version, options);
}
function readDifficultyFileSync(path, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('readDifficultyFileSync'), 'Sync reading difficulty file');
    return (0, _main_js_1.handleReadSync)('difficulty', path, version, options);
}
