import type { InferBeatmap, InferBeatmapSerial, InferBeatmapVersion } from '../types/beatmap/shared/infer.js';
import type { IBeatmapInfoData } from '../types/bsmap/fromInfo.js';
import type { IReadOptions } from '../types/bsmap/reader.js';
export declare function readFromInfo<T extends Pick<InferBeatmap<'info'>, 'difficulties'>, TVersion extends InferBeatmapVersion<'difficulty'>, TWrapper extends Record<string, any> = InferBeatmap<'difficulty'>, TSerial extends Record<string, any> = InferBeatmapSerial<'difficulty', TVersion>>(info: T, options?: IReadOptions<'difficulty', TVersion, TWrapper, TSerial>): Promise<IBeatmapInfoData<TWrapper>[]>;
export declare function readFromInfoSync<T extends Pick<InferBeatmap<'info'>, 'difficulties'>, TVersion extends InferBeatmapVersion<'difficulty'>, TWrapper extends Record<string, any> = InferBeatmap<'difficulty'>, TSerial extends Record<string, any> = InferBeatmapSerial<'difficulty', TVersion>>(info: T, options?: IReadOptions<'difficulty', TVersion, TWrapper, TSerial>): IBeatmapInfoData<TWrapper>[];
//# sourceMappingURL=fromInfo.d.ts.map