"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.path = void 0;
// @ts-ignore: trick
const _path_js_1 = __importDefault(require("./_path.js"));
function noPathFunctionProvided() {
    throw new Error('`path` function not provided; please supply `path` function inside the `path` object from the module');
}
// @ts-ignore: trick
const p = _path_js_1.default;
/**
 * Wrapper for use in `read`, `write` and `globals.directory`.
 *
 * Do not use this as a mean to perform `path` operations.
 * This module only serve to provide cross-platform compatibility.
 *
 * If your runtime or vendor does not contain `node:` built-in module,
 * you should provide `path` function inside the `path` object from the module.
 * If you are creating a web app, you may ignore this.
 */
exports.path = {
    resolve: p?.resolve || noPathFunctionProvided,
    basename: p?.basename || noPathFunctionProvided,
};
