import type { IArc } from './arc.js';
import type { ICustomDataDifficulty } from './custom/difficulty.js';
import type { IEvent } from './event.js';
import type { INote } from './note.js';
import type { IObstacle } from './obstacle.js';
import type { ISpecialEventsKeywordFilters } from './specialEventsKeywordFilters.js';
import type { IWaypoint } from './waypoint.js';
/**
 * Schema for v2 `Difficulty`.
 */
export interface IDifficulty {
    _version?: `2.${0 | 2 | 4 | 5 | 6}.0`;
    _notes?: INote[];
    _sliders?: IArc[];
    _obstacles?: IObstacle[];
    _events?: IEvent[];
    _waypoints?: IWaypoint[];
    _specialEventsKeywordFilters?: ISpecialEventsKeywordFilters;
    _customData?: ICustomDataDifficulty;
}
//# sourceMappingURL=difficulty.d.ts.map