import type { ColorArray } from '../../../colors.js';
import type { Vector2, Vector3 } from '../../../vector.js';
import type { FloatPointDefinition, Vector3PointDefinition, Vector4PointDefinition } from '../../shared/custom/heck.js';
/** Point Definition interface. */
export type IPointDefinition = {
    [key: string]: [number] | Vector2 | Vector3 | ColorArray | FloatPointDefinition | Vector3PointDefinition | Vector4PointDefinition;
};
//# sourceMappingURL=pointDefinition.d.ts.map