import type { IWrapWaypoint } from './waypoint.js';
import type { IWrapBasicEvent } from './basicEvent.js';
import type { IWrapColorBoostEvent } from './colorBoostEvent.js';
import type { IWrapLightColorEventBoxGroup } from './lightColorEventBoxGroup.js';
import type { IWrapLightRotationEventBoxGroup } from './lightRotationEventBoxGroup.js';
import type { IWrapLightTranslationEventBoxGroup } from './lightTranslationEventBoxGroup.js';
import type { IWrapBasicEventTypesWithKeywords } from './basicEventTypesWithKeywords.js';
import type { IWrapFxEventBoxGroup } from './fxEventBoxGroup.js';
import type { ICustomDataDifficulty } from './custom/difficulty.js';
import type { IWrapBaseItem } from './baseItem.js';
/**
 * Wrapper attribute for beatmap lightshow.
 */
export interface IWrapLightshow extends IWrapBaseItem {
    waypoints: IWrapWaypoint[];
    basicEvents: IWrapBasicEvent[];
    colorBoostEvents: IWrapColorBoostEvent[];
    lightColorEventBoxGroups: IWrapLightColorEventBoxGroup[];
    lightRotationEventBoxGroups: IWrapLightRotationEventBoxGroup[];
    lightTranslationEventBoxGroups: IWrapLightTranslationEventBoxGroup[];
    fxEventBoxGroups: IWrapFxEventBoxGroup[];
    basicEventTypesWithKeywords: IWrapBasicEventTypesWithKeywords;
    useNormalEventsAsCompatibleEvents: boolean;
    customData: ICustomDataDifficulty;
}
//# sourceMappingURL=lightshow.d.ts.map