"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeAudioDataFile = writeAudioDataFile;
exports.writeAudioDataFileSync = writeAudioDataFileSync;
// deno-lint-ignore-file no-explicit-any
const logger_js_1 = require("../logger.js");
const _main_js_1 = require("./_main.js");
function writeAudioDataFile(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeAudioDataFile'), 'Async writing audio data file');
    return (0, _main_js_1.handleWrite)('audioData', data, version, options);
}
function writeAudioDataFileSync(data, version, options) {
    logger_js_1.logger.tInfo((0, _main_js_1.tag)('writeAudioDataFileSync'), 'Sync writing audio data file');
    return (0, _main_js_1.handleWriteSync)('audioData', data, version, options);
}
